Package org.eclipse.osgi.storage.url.bundleresource

# Class Handler

java.lang.Object
java.net.URLStreamHandler
org.eclipse.equinox.plurl.PlurlStreamHandlerBase
org.eclipse.osgi.storage.url.BundleResourceHandler
org.eclipse.osgi.storage.url.bundleresource.Handler

All Implemented Interfaces:
  `PlurlStreamHandler`

public class Handler extends BundleResourceHandler
URLStreamHandler the bundleresource protocol.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.equinox.plurl.PlurlStreamHandler

`PlurlStreamHandler.PlurlSetter`

## Field Summary

### Fields inherited from class org.eclipse.osgi.storage.url.BundleResourceHandler

`BID_FWKID_SEPARATOR, bundleEntry, container, OSGI_ENTRY_URL_PROTOCOL, OSGI_RESOURCE_URL_PROTOCOL, SECURITY_CHECKED, SECURITY_UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`Handler(ModuleContainer container, BundleEntry bundleEntry)`

## Method Summary

Modifier and Type
Method
Description
`protected BundleEntry`
`findBundleEntry(URL url, Module module)`
Finds the bundle entry for this protocal.

### Methods inherited from class org.eclipse.osgi.storage.url.BundleResourceHandler

`checkAuthorization, createURLHostForBundleID, equals, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, toExternalForm`

### Methods inherited from class org.eclipse.equinox.plurl.PlurlStreamHandlerBase

`getDefaultPort, openConnection, parseURL, setURL, setURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handler

public Handler(ModuleContainer container, BundleEntry bundleEntry)

## Method Details

### findBundleEntry

protected BundleEntry findBundleEntry(URL url, Module module) throws IOException
Description copied from class: `BundleResourceHandler`
Finds the bundle entry for this protocal. This is handled differently for Bundle.gerResource() and Bundle.getEntry() because getResource uses the bundle classloader and getEntry only used the base bundle file.

Specified by:
  `findBundleEntry` in class `BundleResourceHandler`
Parameters:
  `url` - The URL to find the entry for.
  `module` - the module to find the entry for.
Returns:
  the bundle entry
Throws:
  `IOException`